textproc/dict-server - The NetBSD Packages Collection

Dictionary Service Protocol server

The Dictionary Server Protocol (DICT) is a TCP transaction based
query/response protocol that allows a client to access dictionary
definitions from a set of natural language dictionary databases.

dictd(8) is a server which supports the DICT protocol.

dictzip(1) is a compression program which creates compressed files in the
gzip format (see RFC 1952).  However, unlike gzip(1), dictzip(1) compresses
the file in pieces and stores an index to the pieces in the gzip header.
This allows random access to the file at the granularity of the compressed
pieces (currently about 64kB) while maintaining good compression ratios
(within 5% of the expected ratio for dictionary data).  dictd(8) uses files
stored in this format.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

devel/libmaa

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfdict-server-1.13.0.tgz
NetBSD 8.0earmv7hfdict-server-1.12.1nb2.tgz
NetBSD 8.0earmv7hfdict-server-1.13.0.tgz
NetBSD 8.0earmv7hfdict-server-1.13.0.tgz
NetBSD 8.0i386dict-server-1.13.0.tgz
NetBSD 8.0i386dict-server-1.13.0.tgz
NetBSD 8.0i386dict-server-1.13.0.tgz
NetBSD 8.0powerpcdict-server-1.13.0.tgz
NetBSD 8.0powerpcdict-server-1.13.0.tgz
NetBSD 8.0powerpcdict-server-1.13.0.tgz
NetBSD 8.0powerpcdict-server-1.13.0.tgz
NetBSD 8.0x86_64dict-server-1.13.0.tgz
NetBSD 8.0x86_64dict-server-1.13.0.tgz
NetBSD 8.0x86_64dict-server-1.13.0.tgz
NetBSD 9.0aarch64dict-server-1.13.0.tgz
NetBSD 9.0aarch64dict-server-1.13.0.tgz
NetBSD 9.0aarch64dict-server-1.13.0.tgz
NetBSD 9.0aarch64dict-server-1.13.0.tgz
NetBSD 9.0alphadict-server-1.13.0.tgz
NetBSD 9.0alphadict-server-1.13.0.tgz
NetBSD 9.0alphadict-server-1.13.0.tgz
NetBSD 9.0alphadict-server-1.13.0.tgz
NetBSD 9.0earmdict-server-1.13.0.tgz
NetBSD 9.0earmdict-server-1.12.1nb2.tgz
NetBSD 9.0earmdict-server-1.13.0.tgz
NetBSD 9.0earmdict-server-1.13.0.tgz
NetBSD 9.0earmv6hfdict-server-1.13.0.tgz
NetBSD 9.0earmv6hfdict-server-1.13.0.tgz
NetBSD 9.0earmv6hfdict-server-1.13.0.tgz
NetBSD 9.0earmv6hfdict-server-1.13.0.tgz
NetBSD 9.0earmv6hfdict-server-1.13.0.tgz
NetBSD 9.0earmv7hfdict-server-1.13.0.tgz
NetBSD 9.0earmv7hfdict-server-1.12.1nb2.tgz
NetBSD 9.0earmv7hfdict-server-1.13.0.tgz
NetBSD 9.0earmv7hfdict-server-1.13.0.tgz
NetBSD 9.0earmv7hfdict-server-1.13.0.tgz
NetBSD 9.0earmv7hfdict-server-1.13.0.tgz
NetBSD 9.0i386dict-server-1.13.0.tgz
NetBSD 9.0i386dict-server-1.13.0.tgz
NetBSD 9.0i386dict-server-1.13.0.tgz
NetBSD 9.0m68kdict-server-1.12.1nb2.tgz
NetBSD 9.0mips64ebdict-server-1.13.0.tgz
NetBSD 9.0mips64ebdict-server-1.13.0.tgz
NetBSD 9.0mips64ebdict-server-1.13.0.tgz
NetBSD 9.0mipseldict-server-1.13.0.tgz
NetBSD 9.0mipseldict-server-1.13.0.tgz
NetBSD 9.0powerpcdict-server-1.13.0.tgz
NetBSD 9.0powerpcdict-server-1.13.0.tgz
NetBSD 9.0powerpcdict-server-1.13.0.tgz
NetBSD 9.0sh3eldict-server-1.13.0.tgz
NetBSD 9.0sh3eldict-server-1.13.0.tgz
NetBSD 9.0sparc64dict-server-1.13.0.tgz
NetBSD 9.0sparc64dict-server-1.13.0.tgz
NetBSD 9.0sparc64dict-server-1.13.0.tgz
NetBSD 9.0sparc64dict-server-1.13.0.tgz
NetBSD 9.0sparcdict-server-1.13.0.tgz
NetBSD 9.0sparcdict-server-1.13.0.tgz
NetBSD 9.0sparcdict-server-1.13.0.tgz
NetBSD 9.0vaxdict-server-1.13.0.tgz
NetBSD 9.0vaxdict-server-1.13.0.tgz
NetBSD 9.0x86_64dict-server-1.13.0.tgz
NetBSD 9.0x86_64dict-server-1.13.0.tgz
NetBSD 9.0x86_64dict-server-1.13.0.tgz
NetBSD 9.0x86_64dict-server-1.13.0.tgz
NetBSD 9.0x86_64dict-server-1.13.0.tgz
NetBSD 9.0x86_64dict-server-1.13.0.tgz
NetBSD 9.0x86_64dict-server-1.13.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.